Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005389TestLinkTest Specificationpublic2012-12-03 20:222013-05-30 19:40
ReporterAmaradana 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSWin 7OS Version
Product Version1.9.4 (2012 Q3 - bug fixing) 
Fixed in Version1.9.5 (2012 Q4 - bug fixing) 
Summary0005389: Test specification is accessible even if the project is private
DescriptionIf there is only one project in the TestLInk and if that is private, for the newly created users, this is still visible and can do the actions on it
Steps To Reproduce1. Install a fresh instance of TestLInk
2. After installation is successful, Login to TestLink with admin
3. Create a project and do not check the public option while creating.
4. Go to Test specifications, and import some test specifications/create
5, Now navigate to User management and create a new user with senior tester role
6. Now log out from admin and login with the user created above
7. navigate to test specification, observe that user have privileges to the test cases/edit delete etc.
Additional Informationuser also can see the requirements etc
TagsTO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MYSQL
BrowserAny
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon create_edit.png [^] (40,287 bytes) 2012-12-03 20:22

- Relationships
child of 0005193closedfman Availables hot-fixes for 1.9.4 & How To get full fixed package from gitorious 

-  Notes
(0017967)
fman (administrator)
2012-12-04 20:29

http://gitorious.org/testlink-ga/testlink-code/commit/3170408d4496f24477be3ad22856e6156b7aa2f8 [^]

- Issue History
Date Modified Username Field Change
2012-12-03 20:22 Amaradana New Issue
2012-12-03 20:22 Amaradana File Added: create_edit.png
2012-12-04 06:47 fman Assigned To => fman
2012-12-04 06:47 fman Status new => assigned
2012-12-04 20:29 fman Note Added: 0017967
2012-12-04 20:29 fman Tag Attached: TO BE FIXED on 2.0
2012-12-04 20:29 fman Task Workflow Status TBD => READY FOR TESTING
2012-12-04 20:30 fman Relationship added child of 0005193
2012-12-04 20:36 fman Status assigned => resolved
2012-12-04 20:36 fman Fixed in Version => 1.9.5 (2012 Q4 - bug fixing)
2012-12-04 20:36 fman Resolution open => fixed
2013-05-30 19:40 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker